changeset 440:44a018ea578c

2004-3-19 Brian Masney <masneyb@gftp.org> * debian/gftp-text.prerm - missing debian package file * Makefile.am - updated with EXTRA_DIST variable with the list of the Debian package files
author masneyb
date Sat, 20 Mar 2004 18:48:40 +0000
parents becc8fbd327f
children f8a0c22af707
files ChangeLog Makefile.am debian/gftp-text.prerm
diffstat 3 files changed, 36 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Sat Mar 20 18:42:27 2004 +0000
+++ b/ChangeLog	Sat Mar 20 18:48:40 2004 +0000
@@ -1,4 +1,9 @@
 2004-3-19 Brian Masney <masneyb@gftp.org>
+	* debian/gftp-text.prerm - missing debian package file
+
+	* Makefile.am - updated with EXTRA_DIST variable with the list of the
+	Debian package files
+
 	* debian/* - updated Debian package files from
 	Aurelien Jarno <aurelien@aurel32.net>
 
@@ -2333,7 +2338,7 @@
 
 	* cvsclean - added this script
 
-	* *.[ch] - added $Id: ChangeLog,v 1.244 2004/03/20 18:42:26 masneyb Exp $ tags
+	* *.[ch] - added $Id: ChangeLog,v 1.245 2004/03/20 18:48:40 masneyb Exp $ tags
 
 	* debian/* - updated files from Debian maintainer
 
--- a/Makefile.am	Sat Mar 20 18:42:27 2004 +0000
+++ b/Makefile.am	Sat Mar 20 18:48:40 2004 +0000
@@ -2,10 +2,14 @@
 
 SUBDIRS= docs intl lib po src
 EXTRA_DIST= config.rpath mkinstalldirs ChangeLog-old README THANKS TODO \
-	gftp.spec.in debian/changelog debian/control debian/copyright \
-	debian/dirs debian/docs debian/menu debian/rules
+ gftp.spec.in debian/changelog debian/compat debian/control debian/copyright \
+ debian/gftp-common.dirs debian/gftp-common.docs debian/gftp-common.install \
+ debian/gftp-gtk.install debian/gftp-gtk.links debian/gftp-gtk.menu \
+ debian/gftp-text.install debian/gftp-text.links debian/gftp-text.postinst \
+ debian/gftp-text.prerm debian/rules
 
 dist-hook:
 	cp gftp.spec $(distdir)     
 
 ACLOCAL_AMFLAGS = -I m4
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/gftp-text.prerm	Sat Mar 20 18:48:40 2004 +0000
@@ -0,0 +1,24 @@
+#!/bin/sh
+# prerm script for gftp-text
+
+set -e
+
+case "$1" in
+        remove|deconfigure)
+                update-alternatives --remove ftp /usr/bin/gftp-text
+        ;;
+        failed-upgrade|upgrade)
+        ;;
+        *)
+                echo "prerm called with unknown argument \`$1'" >&2
+                exit 1
+        ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+